PPI::Token::Structure(3)

NAME
PPI::Token::Structure - Token class for characters that define code structure

INHERITANCE
  PPI::Token::Structure
  isa PPI::Token
      isa PPI::Element

DESCRIPTION
The "PPI::Token::Structure" class is used for tokens that control the generally tree structure or code.

This consists of seven characters. These are the six brace characters from the "round", "curly" and "square" pairs, plus the semi-colon statement separator ";".

METHODS
This class has no methods beyond what is provided by its PPI::Token and PPI::Element parent classes.

SUPPORT
See the support section in the main module.

AUTHOR
Adam Kennedy <adamk@cpan.org>

COPYRIGHT
Copyright 2001 - 2011 Adam Kennedy.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

The full text of the license can be found in the LICENSE file included with this module.